Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.XO
Class Memoire

    java.lang.Object
      warbot.XO.Memoire

    public class Memoire

extends java.lang.Object

Constructor Summary
`Memoire(double x1, double y1, double x2, double y2)`
`Memoire(double x2, double y2, double x3, double y3, double[][] basesEnnemi)`
`Memoire(double x1, double y1, double x2, double y2, double x3, double y3, double x4, double y4, java.lang.String[] goals, java.lang.String helpGuerrier, boolean perceptBase)`

Method Summary
`java.lang.String[]` | `getGoals()`
`java.lang.String` | `getHelpGuerrier()`
`double` | `getHelpX()`
`double` | `getHelpY()`
`boolean` | `getPerceptBase()`
`double` | `getXBaseEnnemie()`
`double` | `getXGuerrierEnnemi()`
`double` | `getXposbase()`
`double` | `getYBaseEnnemie()`
`double` | `getYGuerrierEnnemi()`
`double` | `getYposbase()`
`void` | `saveBases(double[][] basesEnnemi)`
`void` | `saveGoals(java.lang.String[] goals)`
`void` | `setHelpGuerrier(java.lang.String helpGuerrier)`
`void` | `setHelpX(double x)`
`void` | `setHelpY(double y)`
`void` | `setPerceptBase(boolean perceptBase)`
`void` | `setXBaseEnnemie(double x)`
`void` | `setXGuerrierEnnemi(double x)`
`void` | `setXposbase(double x)`
`void` | `setYBaseEnnemie(double y)`
`void` | `setYGuerrierEnnemi(double y)`
`void` | `setYposbase(double y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Memoire

    public Memoire(double x1,
                   double y1,
                   double x2,
                   double y2,
                   double x3,
                   double y3,
                   double x4,
                   double y4,
                   java.lang.String[] goals,
                   java.lang.String helpGuerrier,
                   boolean perceptBase)

### Memoire

    public Memoire(double x2,
                   double y2,
                   double x3,
                   double y3,
                   double[][] basesEnnemi)

### Memoire

    public Memoire(double x1,
                   double y1,
                   double x2,
                   double y2)

Method Detail

### getPerceptBase

    public boolean getPerceptBase()

### setPerceptBase

    public void setPerceptBase(boolean perceptBase)

### getHelpGuerrier

    public java.lang.String getHelpGuerrier()

### setHelpGuerrier

    public void setHelpGuerrier(java.lang.String helpGuerrier)

### saveGoals

    public void saveGoals(java.lang.String[] goals)

### getGoals

    public java.lang.String[] getGoals()

### saveBases

    public void saveBases(double[][] basesEnnemi)

### getXposbase

    public double getXposbase()

### getYposbase

    public double getYposbase()

### setXposbase

    public void setXposbase(double x)

### setYposbase

    public void setYposbase(double y)

### getXBaseEnnemie

    public double getXBaseEnnemie()

### getYBaseEnnemie

    public double getYBaseEnnemie()

### setXBaseEnnemie

    public void setXBaseEnnemie(double x)

### setYBaseEnnemie

    public void setYBaseEnnemie(double y)

### getHelpX

    public double getHelpX()

### getHelpY

    public double getHelpY()

### setHelpX

    public void setHelpX(double x)

### setHelpY

    public void setHelpY(double y)

### getXGuerrierEnnemi

    public double getXGuerrierEnnemi()

### getYGuerrierEnnemi

    public double getYGuerrierEnnemi()

### setXGuerrierEnnemi

    public void setXGuerrierEnnemi(double x)

### setYGuerrierEnnemi

    public void setYGuerrierEnnemi(double y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.